QGIS Application - Bug report #16649
additional "no Data values™ using the Layer Styling panel are not applied
2017-06-01 11:31 AM - shenriod -

Status: Closed

Priority: Normal

Assignee:

Category: Symbology

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 24549
Description

| am testing the layer styling panel (shortcut F7) with the latest Nightly build on the Ubuntu repositories (2.99.0-Master Revision code
ba079d8).

By default, the NoData value is -9999. If | manually add "10" as additional NoData value, nothing happens.

If | do the same in the layer properties, then the expected behavior happens: all pixels with value "10" are not rendered.

So it seems that the manually added NoData values in the Layer Styling Panel are not considered.

Screencast to better explain the issue: https://vimeo.com/219467091

Here on the list: https://lists.osgeo.org/pipermail/qgis-developer/2017-May/048671.html

History

#1 - 2017-06-01 01:22 PM - Giovanni Manghi

- Operating System deleted (Ubuntu 17.04)

- Subject changed from Problem with "no Data value" with rasters when using the Layer Styling panel? to additional "no Data values" using the Layer
Styling panel are not applied

Confirmed also on Window and 2.18.9

#2 - 2017-10-13 12:47 AM - James Shaeffer

Pull request submitted. https://github.com/qgis/QGIS/pull/5358

#3 - 2017-10-13 12:04 PM - Giovanni Manghi
- Pull Request or Patch supplied changed from No to Yes

#4 - 2017-10-13 12:05 PM - Giovanni Manghi

- Resolution set to fixed/implemented
- Status changed from Open to Closed
